Breaking changes 44621 and 44622: dart:ffi API changing

106 views
Skip to first unread message

Daco Harkes

unread,
Jan 12, 2021, 9:11:16 AMJan 12
to Dart Announcements
If you do not use dart:ffi you may stop reading now.

We're making a breaking change where invocations of dart:ffi's  sizeOf<T extends NativeType>(), Pointer<T>.elementAt(), Pointer<T extends Struct>.ref, and Pointer<T extendsStruct>[] require T to be compile-time constants 

We're also making a breaking change where subclasses of Struct are required to have at least one field.

These changes are being made for the Dart 2.12 release.

See the official breaking change requests:
https://github.com/dart-lang/sdk/issues/44621 Compile-time type arguments.
https://github.com/dart-lang/sdk/issues/44622 No empty structs.

Please add comments to the issues if you have concerns about these changes.

Reply all
Reply to author
Forward
This conversation is locked
You cannot reply and perform actions on locked conversations.
0 new messages